test: tagTIMER struct Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# tagTIMER Struct Reference

`#include <userk.h>`

List of all members.

## Public Attributes

HEAD | head
tagTIMER * | ptmrNext
tagTIMER * | ptmrPrev
PTHREADINFO | pti
tagWND * | spwnd
UINT_PTR | nID
INT | cmsCountdown
INT | cmsRate
UINT | flags
TIMERPROC_PWND | pfn
PTHREADINFO | ptiOptCreator

## Member Data Documentation

INT tagTIMER::cmsCountdown

| Definition at line 4051 of file userk.h. Referenced by InternalSetTimer(), and TimersProc().

INT tagTIMER::cmsRate

| Definition at line 4052 of file userk.h. Referenced by InternalSetTimer(), and TimersProc().

UINT tagTIMER::flags

| Definition at line 4053 of file userk.h. Referenced by DoTimer(), FindTimer(), InternalSetTimer(), TimersProc(), and xxxDispatchMessage().

HEAD tagTIMER::head

| Definition at line 4045 of file userk.h.

UINT_PTR tagTIMER::nID

| Definition at line 4050 of file userk.h. Referenced by DoTimer(), FindTimer(), InternalSetTimer(), and TimersProc().

TIMERPROC_PWND tagTIMER::pfn

| Definition at line 4054 of file userk.h. Referenced by DoTimer(), InternalSetTimer(), TimersProc(), and xxxDispatchMessage().

PTHREADINFO tagTIMER::pti

| Definition at line 4048 of file userk.h. Referenced by DestroyThreadsTimers(), DoTimer(), InternalSetTimer(), and TimersProc().

PTHREADINFO tagTIMER::ptiOptCreator

| Definition at line 4055 of file userk.h. Referenced by DestroyThreadsTimers(), InternalSetTimer(), and UserSetTimer().

struct tagTIMER* tagTIMER::ptmrNext

| Definition at line 4046 of file userk.h. Referenced by DestroyThreadsTimers(), DestroyWindowsTimers(), DoTimer(), FindTimer(), FreeTimer(), InternalSetTimer(), TimersProc(), and xxxDispatchMessage().

struct tagTIMER* tagTIMER::ptmrPrev

| Definition at line 4047 of file userk.h. Referenced by DoTimer(), FreeTimer(), and InternalSetTimer().

struct tagWND* tagTIMER::spwnd

| Definition at line 4049 of file userk.h. Referenced by DestroyWindowsTimers(), DoTimer(), FindTimer(), and InternalSetTimer().

The documentation for this struct was generated from the following file:

- userk.h